org.apache.olingo.server.api.uri.queryoption

## Enum ApplyItem.Kind

- java.lang.Object
- - java.lang.Enum<ApplyItem.Kind>
  - - org.apache.olingo.server.api.uri.queryoption.ApplyItem.Kind

- All Implemented Interfaces:
    Serializable, Comparable<ApplyItem.Kind>
  Enclosing interface:
    ApplyItem

      public static enum ApplyItem.Kind
      extends Enum<ApplyItem.Kind>

  The kind of the transformation.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AGGREGATE`
    `BOTTOM_TOP`
    `COMPUTE`
    `CONCAT`
    `CUSTOM_FUNCTION`
    `EXPAND`
    `FILTER`
    `GROUP_BY`
    `IDENTITY`
    `ORDERBY`
    `SEARCH`
    `SKIP`
    `TOP`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ApplyItem.Kind` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ApplyItem.Kind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AGGREGATE

          public static final ApplyItem.Kind AGGREGATE

    - #### BOTTOM_TOP

          public static final ApplyItem.Kind BOTTOM_TOP

    - #### COMPUTE

          public static final ApplyItem.Kind COMPUTE

    - #### CONCAT

          public static final ApplyItem.Kind CONCAT

    - #### CUSTOM_FUNCTION

          public static final ApplyItem.Kind CUSTOM_FUNCTION

    - #### EXPAND

          public static final ApplyItem.Kind EXPAND

    - #### FILTER

          public static final ApplyItem.Kind FILTER

    - #### GROUP_BY

          public static final ApplyItem.Kind GROUP_BY

    - #### IDENTITY

          public static final ApplyItem.Kind IDENTITY

    - #### SEARCH

          public static final ApplyItem.Kind SEARCH

    - #### ORDERBY

          public static final ApplyItem.Kind ORDERBY

    - #### TOP

          public static final ApplyItem.Kind TOP

    - #### SKIP

          public static final ApplyItem.Kind SKIP

  - ### Method Detail

    - #### values

          public static ApplyItem.Kind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ApplyItem.Kind c : ApplyItem.Kind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ApplyItem.Kind valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.